[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [libtool 2.2] testsuite: 34 failed

From: Ralf Wildenhues
Subject: Re: [libtool 2.2] testsuite: 34 failed
Date: Sun, 2 Mar 2008 21:43:38 +0100
User-agent: Mutt/1.5.17+20080114 (2008-01-14)

Hello Roberto,

* Roberto Bagnara wrote on Sun, Mar 02, 2008 at 08:48:07AM CET:
> I got errors on a Fedora 7 system (x86_64): the log file
> is attached.  I have also tried using Libtool 2.2 on one
> of my projets, but I get the following:
> /bin/sh ../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I.. 
> -I/home/roberto/ppl/ppl/src  -I.. -I/home/roberto/ppl/ppl/src    -g 
> -frounding-math  -W -Wall -MT Box.lo -MD -MP -MF .deps/Box.Tpo -c -o Box.lo 
> /home/roberto/ppl/ppl/src/Box.cc
> ../libtool: line 459: CDPATH: command not found
> ../libtool: line 1262: func_opt_split: command not found
> libtool: Version mismatch error.  This is libtool 2.2, but the
> libtool: definition of this LT_INIT comes from an older release.
> libtool: You should recreate aclocal.m4 with macros from libtool 2.2
> libtool: and run autoconf again.
> I think I did that on entirely new directories and after running
> `autoreconf -f' to recreate (among other things), aclocal.m4.
> What am I missing?

Which Autoconf, M4 versions were used?  What says
  grep LT_INIT aclocal.m4 m4/libtool.m4

(modify the latter to point at the libtool.m4 file that's copied into
your project if any).

Still looking at your the testsuite failure (but it's anyway an issue
separate from the above).

Cheers, and thanks for the report,

reply via email to

[Prev in Thread] Current Thread [Next in Thread]